aboutsummaryrefslogtreecommitdiffstats
path: root/target/linux/apm821xx/image/mbl_gen_hdd_img.sh
diff options
context:
space:
mode:
Diffstat (limited to 'target/linux/apm821xx/image/mbl_gen_hdd_img.sh')
-rwxr-xr-xtarget/linux/apm821xx/image/mbl_gen_hdd_img.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/target/linux/apm821xx/image/mbl_gen_hdd_img.sh b/target/linux/apm821xx/image/mbl_gen_hdd_img.sh
index 589dcf9150..6536ce9872 100755
--- a/target/linux/apm821xx/image/mbl_gen_hdd_img.sh
+++ b/target/linux/apm821xx/image/mbl_gen_hdd_img.sh
@@ -1,16 +1,16 @@
#!/usr/bin/env bash
set -x
-[ $# -eq 3 ] || {
- echo "SYNTAX: $0 <file> <bootfs image> <rootfs image>"
+[ $# -eq 5 ] || {
+ echo "SYNTAX: $0 <file> <bootfs image> <rootfs image> <bootfs size> <rootfs size>"
exit 1
}
OUTPUT="$1"
BOOTFS="$2"
ROOTFS="$3"
-let "BOOTFSSIZE=(`stat -c%s "$2"` + 1048575) / 1048576"
-let "ROOTFSSIZE=(`stat -c%s "$3"` + 1048575) / 1048576"
+BOOTFSSIZE="$4"
+ROOTFSSIZE="$5"
head=4
sect=63